Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
automations
List Automations
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/automations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": "<string>",
        "current_version_id": "<string>",
        "hub_id": "<string>",
        "name": "<string>",
        "re_entry_interval_seconds": 123,
        "re_entry_mode": "<string>",
        "settings": {},
        "status": "<string>",
        "team_id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z",
        "deleted_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "automations"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Query Parameters

page[after]
string | null
page[size]
integer
default:20
Required range: 1 <= x <= 100
filter[status]
string | null

Response

Successful Response

data
AutomationResource · object[]
required
meta
Meta · object
required